
const TransformPages = require('uni-read-pages')
const {webpack} = new TransformPages()
const configObj = {
  // transpileDependencies: ['uview-ui'],
  transpileDependencies: ["@dcloudio/uni-ui", "uview-ui"],
  configureWebpack: {
    plugins: [
      new webpack.DefinePlugin({
        ROUTES: webpack.DefinePlugin.runtimeValue(() => {
          const tfPages = new TransformPages({
            includes: ['path', 'name', 'aliasPath']
          });
          return JSON.stringify(tfPages.routes)
        }, true )
      })
    ]
  }

};
module.exports = configObj;
